summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rwxr-xr-xbin/build-packages7
1 files changed, 4 insertions, 3 deletions
diff --git a/bin/build-packages b/bin/build-packages
index ecf98e7..6e0554b 100755
--- a/bin/build-packages
+++ b/bin/build-packages
@@ -713,7 +713,7 @@ while [ "${count}" -ne 0 ] && \
;;
*)
>&2 echo "unknown return code ${err} from 'return-assignment'"
- wait_some_time 60
+ exit ${err}
esac
done
success=true
@@ -759,12 +759,13 @@ while [ "${count}" -ne 0 ] && \
>&2 echo 'I was too slow, the package is outdated. I will continue ...'
break
;;
- 4)
+ 5)
>&2 echo '"return-assignment" was called with wrong arguments.'
+ exit 1
;;
*)
>&2 echo "unknown return code ${err} from 'return-assignment'"
- wait_some_time 60
+ exit ${err}
esac
done
fi